Docs Submit tasks /suno/submit/persona
API reference

Create a singer style (Persona)

Create a Persona from an existing clip for reuse in task=artist_consistency and similar flows.

POST/suno/submit/persona

Body Parametersapplication/json

root_clip_id* string

Source song clipId; clip_id can also be used

user_input_styles* string

Style description; tags can be used instead

vocal_end_s* integer

The ending second of the vocal segment must be greater than start

vocal_start_s* integer

Vocal clip starting seconds

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"root_clip_id": "518d910f-a6b7-43fc-9f65-c9f116f3f8a3",
3"user_input_styles": "pop,female voice",
4"vocal_end_s": 30,
5"vocal_start_s": 10
6}
Code Sample cURL
1curl -X POST "https://api.digislash.com/suno/submit/persona" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"root_clip_id": "518d910f-a6b7-43fc-9f65-c9f116f3f8a3",
6"user_input_styles": "pop,female voice",
7"vocal_end_s": 30,
8"vocal_start_s": 10
9}'
Response
1▼{
2"code": "success",
3"data": "1268154180129529857",
4"message": ""
5}